public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-auth/consolekit/
Date: Sun, 24 Dec 2017 05:46:03 +0000 (UTC)	[thread overview]
Message-ID: <1514094256.3a8bca2c85267b9f1aacb840d75eb8646412a21b.perfinion@gentoo> (raw)

commit:     3a8bca2c85267b9f1aacb840d75eb8646412a21b
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 24 05:43:49 2017 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Dec 24 05:44:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a8bca2c

sys-auth/consolekit: bump to 1.2.1

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 sys-auth/consolekit/Manifest                |   1 +
 sys-auth/consolekit/consolekit-1.2.1.ebuild | 131 ++++++++++++++++++++++++++++
 2 files changed, 132 insertions(+)

diff --git a/sys-auth/consolekit/Manifest b/sys-auth/consolekit/Manifest
index c4f23a78f7b..06205e253cd 100644
--- a/sys-auth/consolekit/Manifest
+++ b/sys-auth/consolekit/Manifest
@@ -2,4 +2,5 @@ DIST ConsoleKit-0.4.6.tar.xz 366572 BLAKE2B ab4c277fd47b8f99ce8c5a67de86e89b1bdd
 DIST ConsoleKit2-1.1.0.tar.bz2 630178 BLAKE2B 20d1994a19fbe03d411ac5437f77b75571fbdc19478100676e51e2a1232c643f4b0c86125b5bf1d42aeb5cfb7c8b34601221d674ac27d9bf3112fcd8a83afacb SHA512 14ded07d4140e7a31132de21e84c2878475676b8c98f72b42340708972ed384abb9ba9380d74719718fc220c001387c788cf709cd15f8b19d598467dfe8a57df
 DIST ConsoleKit2-1.1.2.tar.bz2 1125567 BLAKE2B 1b7c60d224ea4197687c566d324a302aa2f5ed92ed0cfc563ba4d42f78af2999d1693e4587208e5412d042fb0cff99919dfa02ca5b5a43bda3310c17b39ca5d6 SHA512 fadca85e05c176b06ead40fba5c068d497bf69bcc322287363d0c27cdd6627b758295db1ef534b908c0e6240486430d8cb36660b4d71216a60d19a52d6d0db39
 DIST ConsoleKit2-1.2.0.tar.bz2 1125402 BLAKE2B c2119287ff173783c377a1353f8ce59432f8aa3e64f654716c895fadb5d07462069e457aae7925a6c44bc48bfd4147fc10e9f488a39714386fb6c14bced09f36 SHA512 c0f6e629b7229c2ffaafe8da899970b48c8372402447af18560fffd8804d9ab91a4ad2eb82c8f648a14807f8ccc5fb1ab4366de14faa8a2d5fb3767a6a4253f7
+DIST ConsoleKit2-1.2.1.tar.bz2 1182946 BLAKE2B f76f99008c78bd3a318c918776129072944e4c3ac18348960e3a725179d3ce4dc2cfb4d04ec5c143bb998f23f63cf36c0f88d8296dc3d0a382a138f3a0a2fecc SHA512 31befe89f7fa604138bfb0722fc6cf12f0934bac004f98fc331004eb5a7f466ed7bd0dc9adc9869da739974208f9a3bc125068ff8a60d4b2badb58ef70a3eb10
 DIST consolekit_0.4.6-4.debian.tar.gz 12192 BLAKE2B e88ed907ea3ceecb9ac399618614b1aa5d7eb2c46a706451d78e4ec1598dee5a02d6c5a1b0dd678f6bed4c25277884ec6969a23f8181ef3d8ede94452b6570db SHA512 f7fc5965b1f495d16a8ca167940431bc2569e9bde9e4a356b9c9ed00c2825db61da7b6db3d434d977fff72b3aaef30c455a365b9eba282a887a523753613b58f

diff --git a/sys-auth/consolekit/consolekit-1.2.1.ebuild b/sys-auth/consolekit/consolekit-1.2.1.ebuild
new file mode 100644
index 00000000000..ad224d1d9a6
--- /dev/null
+++ b/sys-auth/consolekit/consolekit-1.2.1.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools libtool linux-info pam xdg-utils
+
+MY_PN=ConsoleKit2
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Framework for defining and tracking users, login sessions and seats"
+HOMEPAGE="https://github.com/ConsoleKit2/ConsoleKit2 https://www.freedesktop.org/wiki/Software/ConsoleKit"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/releases/download/${PV}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="acl cgroups debug doc evdev kernel_linux pam pm-utils policykit selinux test udev"
+
+COMMON_DEPEND=">=dev-libs/glib-2.40:2=[dbus]
+	>=sys-devel/gettext-0.19
+	sys-apps/dbus
+	sys-libs/zlib:=
+	x11-libs/libX11:=
+	acl? (
+		sys-apps/acl:=
+		>=virtual/udev-200
+		)
+	cgroups? (
+		app-admin/cgmanager
+		>=sys-libs/libnih-1.0.2[dbus]
+		)
+	evdev? ( dev-libs/libevdev:= )
+	udev? (
+		virtual/libudev
+		x11-libs/libdrm:=
+	)
+	pam? ( virtual/pam )
+	policykit? ( >=sys-auth/polkit-0.110 )
+	selinux? ( sys-libs/libselinux )"
+# pm-utils: bug 557432
+RDEPEND="${COMMON_DEPEND}
+	kernel_linux? ( sys-apps/coreutils[acl?] )
+	pm-utils? ( sys-power/pm-utils )
+	selinux? ( sec-policy/selinux-consolekit )"
+DEPEND="${COMMON_DEPEND}
+	dev-libs/libxslt
+	virtual/pkgconfig
+	doc? ( app-text/xmlto )
+	test? (
+		app-text/docbook-xml-dtd:4.1.2
+		app-text/xmlto
+		)"
+
+S=${WORKDIR}/${MY_P}
+
+QA_MULTILIB_PATHS="usr/lib/ConsoleKit/.*"
+
+pkg_setup() {
+	if use kernel_linux; then
+		# This is from https://bugs.gentoo.org/376939
+		use acl && CONFIG_CHECK="~TMPFS_POSIX_ACL"
+		# This is required to get login-session-id string with pam_ck_connector.so
+		use pam && CONFIG_CHECK+=" ~AUDITSYSCALL"
+		linux-info_pkg_setup
+	fi
+}
+
+src_prepare() {
+	xdg_environment_reset
+
+	sed -i -e '/SystemdService/d' data/org.freedesktop.ConsoleKit.service.in || die
+
+	default
+	# patch needs autoreconf, so dont need libtoolize
+	eautoreconf
+	#elibtoolize # bug 593314
+}
+
+src_configure() {
+	econf \
+		XMLTO_FLAGS='--skip-validation' \
+		--libexecdir="${EPREFIX}"/usr/lib/ConsoleKit \
+		--localstatedir="${EPREFIX}"/var \
+		$(use_enable pam pam-module) \
+		$(use_enable doc docbook-docs) \
+		$(use_enable test docbook-docs) \
+		$(use_enable debug) \
+		$(use_enable policykit polkit) \
+		$(use_enable evdev libevdev) \
+		$(use_enable acl udev-acl) \
+		$(use_enable cgroups libcgmanager) \
+		$(use_enable selinux libselinux) \
+		$(use_enable udev libdrm) \
+		$(use_enable udev libudev) \
+		$(use_enable test tests) \
+		--with-dbus-services="${EPREFIX}"/usr/share/dbus-1/services \
+		--with-pam-module-dir="$(getpam_mod_dir)" \
+		--with-xinitrc-dir="${EPREFIX}"/etc/X11/xinit/xinitrc.d \
+		--without-systemdsystemunitdir
+}
+
+src_install() {
+	emake \
+		DESTDIR="${D}" \
+		htmldocdir="${EPREFIX}"/usr/share/doc/${PF}/html \
+		install
+
+	dosym /usr/lib/ConsoleKit /usr/lib/${PN}
+
+	dodoc AUTHORS HACKING NEWS README TODO
+
+	newinitd "${FILESDIR}"/${PN}-1.0.0.initd consolekit
+
+	keepdir /usr/lib/ConsoleKit/run-seat.d
+	keepdir /usr/lib/ConsoleKit/run-session.d
+	keepdir /etc/ConsoleKit/run-session.d
+	keepdir /var/log/ConsoleKit
+
+	exeinto /etc/X11/xinit/xinitrc.d
+	newexe "${FILESDIR}"/90-consolekit-3 90-consolekit
+
+	if use kernel_linux; then
+		# bug 571524
+		exeinto /usr/lib/ConsoleKit/run-session.d
+		doexe "${FILESDIR}"/pam-foreground-compat.ck
+	fi
+
+	prune_libtool_files --all # --all for pam_ck_connector.la
+
+	rm -rf "${ED}"/var/run || die # let the init script create the directory
+}


             reply	other threads:[~2017-12-24  5:46 UTC|newest]

Thread overview: 78+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-24  5:46 Jason Zaman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-02-15 10:03 [gentoo-commits] repo/gentoo:master commit in: sys-auth/consolekit/ David Seifert
2019-10-12 18:45 Mikle Kolyada
2019-06-09 11:37 Andreas Sturmlechner
2019-04-20 19:09 Aaron Bauman
2018-12-08 20:08 Mikle Kolyada
2018-11-09 18:35 Mikle Kolyada
2018-11-08 23:35 Sergei Trofimovich
2018-10-14  9:14 Sergei Trofimovich
2018-10-14  8:59 Sergei Trofimovich
2018-10-13  6:56 Tobias Klausmann
2018-10-06 18:23 Sergei Trofimovich
2018-10-06 17:13 Sergei Trofimovich
2018-10-05 12:25 Thomas Deutschmann
2018-10-05  9:44 Jason Zaman
2018-06-09 19:42 Mikle Kolyada
2018-04-03 21:02 Matt Turner
2017-12-24 12:01 Markus Meier
2017-11-26 20:43 Sergei Trofimovich
2017-11-18 12:42 Sergei Trofimovich
2017-11-08 12:51 Tobias Klausmann
2017-10-29 11:20 Sergei Trofimovich
2017-10-28 20:47 Sergei Trofimovich
2017-10-26 21:47 Sergei Trofimovich
2017-10-26 11:23 Jason Zaman
2017-10-26 11:15 Jason Zaman
2017-10-15 19:54 Sergei Trofimovich
2017-10-15 12:32 Sergei Trofimovich
2017-08-06  8:45 Markus Meier
2017-07-21  7:19 Sergei Trofimovich
2017-07-19  7:17 Jason Zaman
2017-07-19  7:17 Jason Zaman
2017-06-13 15:20 Jason Zaman
2017-06-05 17:46 Jason Zaman
2017-06-05 17:46 Jason Zaman
2017-05-10  7:19 Jason Zaman
2017-02-22 17:48 Markus Meier
2017-01-22 17:09 Agostino Sarubbo
2017-01-22 17:09 Agostino Sarubbo
2016-12-21 21:34 Thomas Deutschmann
2016-12-16  8:39 Fabian Groffen
2016-11-20  9:55 Jason Zaman
2016-11-16 21:03 Markus Meier
2016-10-22 11:50 Tobias Klausmann
2016-10-07  0:07 Jeroen Roovers
2016-09-29 10:43 Jeroen Roovers
2016-09-15  6:31 Jason Zaman
2016-08-02 15:15 Jason Zaman
2016-08-02 15:15 Jason Zaman
2016-07-25 16:02 Chí-Thanh Christopher Nguyễn
2016-06-02 18:47 Tobias Klausmann
2016-06-01 21:09 Michael Palimaka
2016-04-01 19:08 Markus Meier
2016-03-26 16:39 Agostino Sarubbo
2016-03-23 18:32 Jason Zaman
2016-03-19 14:53 Lars Wendler
2016-03-19 14:33 Manuel Rüger
2016-02-05  8:07 Jason Zaman
2016-02-05  8:07 Jason Zaman
2016-01-13 14:45 Jason Zaman
2016-01-13 14:31 Jason Zaman
2016-01-03 11:54 Agostino Sarubbo
2015-12-22  7:27 Jason Zaman
2015-12-22  7:27 Jason Zaman
2015-10-20  6:58 Jason Zaman
2015-10-20  6:52 Jason Zaman
2015-10-20  6:52 Jason Zaman
2015-10-09 18:56 Jason Zaman
2015-10-03  8:01 Markus Meier
2015-09-22 12:41 Tobias Klausmann
2015-09-22  4:39 Jeroen Roovers
2015-09-08  5:54 Jeroen Roovers
2015-09-07  8:33 Jason Zaman
2015-09-07  8:33 Jason Zaman
2015-09-06 13:08 Jason Zaman
2015-08-18  4:58 Jason Zaman
2015-08-18  4:58 Jason Zaman
2015-08-14 13:33 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1514094256.3a8bca2c85267b9f1aacb840d75eb8646412a21b.perfinion@gentoo \
    --to=perfinion@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox